Ciele

Create a Task in a Project

POST/api/v1/tasks

Requires an Organization API key with the edit capability. Supply an Idempotency-Key when retrying the same request.

AuthorizationBearer <token>

In: header

Header Parameters

Idempotency-Key?string

Reuse the same value only when retrying the same logical operation.

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/tasks" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "projectId": "string"  }'
{  "id": "string",  "organizationId": "string",  "projectId": "string",  "parentId": null,  "seq": 0,  "title": "string",  "description": "string",  "status": "to_do",  "priority": "none",  "assigneeMemberId": null,  "assigneeTeammateId": null,  "startDate": null,  "dueDate": null,  "estimateMinutes": null,  "recurrence": null,  "rank": "string",  "improvementId": null,  "completedAt": null,  "archivedAt": null,  "createdBy": null,  "createdAt": "string",  "updatedAt": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}